1. Appian - Submerchant Register
  • API Docs Colombia 🇨🇴
  • Online Payments
    • Release Notes
    • Card Payments
      • Request a card token
      • Make a charge or deferred charge
      • Create payment (tokenless)
      • Void a transaction
      • Refund a transaction
      • Request deferred options
      • Authorize payments
      • Preauthorization (tokenless)
      • Reauthorize payments
      • Capture an authorized payment
      • Verify Account
      • Validate OTP
      • Bin Info
      • BIN info V2
    • One-Click & Scheduled Payments
      • Request a recurring charge token
      • Create a recurring charge
      • Make an One-click payment
      • Update recurring charge card data
      • Cancel a recurring charge
      • Update a recurring charge
      • Add a temporary charge or discount
      • Authorize payments
      • Capture an authorized payment
      • Get recurring charge Info
    • Chargebacks
      • Query chargebacks
      • Request chargeback export
    • Transfer in
      • Get Bank List
      • Request a Transfer In token
      • Init Transaction
      • Get Status
    • Transfer out
      • Get Bank List
      • Get Bank List V2
      • Request a Transfer Out token
      • Init Transaction
      • Get Status
      • Balance for Payouts
    • CASH-IN
      • Request a cash in token
      • Init Transaction
      • Transaction Status
      • Delete a cash in transaction
      • Update a cash in transaction
    • Cash-out
      • Request a cash out token
      • Init Transaction
      • Transaction Status
      • Update a cash out transaction
      • Delete a cash out transaction
    • Smartlinks-v2
      • Create a Smartlink
      • Get a Smartlink
      • Update a Smartlink
      • Delete a smartlink
    • Analytics
      • Get transactions list v1
      • Get transactions list v2
    • Gateway-status
      • Get gateway status
      • Get platform status
    • Payment Credentials
      • Create a credential
      • Search credentials
      • Advanced search
      • Delete credential
      • Regenerate a credential
      • Activate or deactivate
      • Update credential
    • Payment Button
      • Create a payment button
    • Settlement
      • Query settlement
    • Subscription Transactions
      • Get subscription transactions
  • Kushki One
    • Cloud Services
      • Payment
        • Charge
        • Authorization (Pre-auth)
        • Capture
        • Re-authorization
        • Post-tip
        • Void
        • Refund
        • Abort
        • Transaction Search
      • Print
        • Create Print Job
        • Get Print Job Status
    • Local Services
      • Payment
        • Charge
        • Authorization (Pre-auth)
        • Capture
        • Re-authorization
        • Post-tip
        • Void
        • Refund
        • Abort
        • Transaction Search — Online
        • Transaction Search — Local
      • Print
        • Create Print Job
        • Get Print Job Status
        • Print Job Webhook (inbound — implemented by your POS)
  • API RAW CARD PRESENT PAYMENTS
    • Release Notes
    • Error Catalog
    • The Amount Object
    • Key Exchange Process
    • Test data
    • Card Information
      • Get BIN Info
      • Balance inquiries
      • BIN info V2
      • Request deferred options
    • One-time Payments
      • Single payment
    • Two-step Payments
      • Authorization and capture
    • Voids & Refunds
      • Void & Reverse
      • Refund a transaction
    • Query Transactions
      • Transaction Search
    • Webhooks
      • Introduction
      • Good Practices
      • Webhooks-Card Payments
      • Webhooks-Refunds
      • Check your webhooks
  • Appian - Submerchant Register
    • Submerchant Validation in Batch
      POST
    • Query submerchant status by requestId/submerchantId
      GET
    • Get submerchantIds
      GET
    • Get credentials for submerchants
      POST
  • Schemas
    • RequestBodies
      • one-and-two-step-payment
    • SubscriptionTransactionsResponse
    • Card
    • Channel
    • Amount-cash-in
    • ChargebackListResponse
    • SettlementDateRangeRequest
    • AmountWithTaxes
    • PrintJobRequest
    • card
    • SubscriptionTransaction
    • networkToken
    • ChargebackItem
    • SettlementTicketRequest
    • AmountCore
    • CommandText
    • amount
    • ErrorResponse
    • currency
    • webhooksItem
    • ErrorResponse400
    • SettlementResponse
    • ExtraTaxes
    • CommandColumns
    • extra_taxes
    • Amount
    • ErrorResponse401
    • SettlementRecord
    • ColumnItem
    • pos_details
    • extraTaxes
    • ErrorResponse403
    • TransactionResponse
    • CommandDivider
    • card_details
    • Deferred
    • Country
    • payment_method
    • ErrorResponse500
    • RawResponse
    • CommandFeed
    • enc_tlv
    • Metadata
    • CardData
    • CommandSpace
    • contact_details
    • ContactDetails
    • AmountWithTip
    • CommandCut
    • deferred
    • sub_merchant
    • documentType
    • Subscription
    • LinkFailure
    • CommandImage
    • metadata
    • orderDetails
    • Language
    • TransactionSearchRequest
    • CommandQR
    • Shipping Address
    • payment_submethod
    • CommandBarcode
    • Billing-Address
    • PrinterError
    • product
    • SubscriptionUpdate
    • PrintJobStatus
    • threeDomainSecure
    • SubscriptionAdjustmentRequest
    • PrintWebhookPayload
    • webhooks
    • headers
    • webhooksChargeback
    • citMit
    • network
    • binInfo
    • messageFields
    • UnexpectedErrorResponse
    • transactionType
    • ExternalReferenceId
    • ExternalSubscriptionId
BienvenidaPerú 🇵🇪México 🇲🇽Ecuador 🇪🇨Colombia 🇨🇴
Chile 🇨🇱
BienvenidaPerú 🇵🇪México 🇲🇽Ecuador 🇪🇨Colombia 🇨🇴
Chile 🇨🇱
  1. Appian - Submerchant Register

Submerchant Validation in Batch

POST
/onboarding/v1/submerchants/batch
This endpoint allows Payment Service Providers (PSPs) to submit one or more submerchants for initial validation before they can enter to the onboarding process. This step does not create or onboard submerchants yet; It only checks that the data structure and operational context are valid.
This validation helps ensure that submerchant records meet the required format and that the PSP is eligible to the onboarding process.
Only submerchants that pass the validations will proceed to the actual onboarding process. Those that fail must be corrected and resubmitted.

Request Body (JSON)#

The request must include an array of submerchants, each containing relevant details such as country of operation, legal representatives, ultimate beneficial owners (UBOs), emails, and more.

Response Handling#

If the validation was successful the response includes a status field, which can have one of the following values:
INITIALIZED – The request has been received and is being processed.
VALIDATION_FAILED – At least one submerchant in the request contains errors, preventing successful processing.
Once a submerchant is approved and ready for onboarding, each request generates a unique requestId, which can be used to track the status of the creation process.
Additionally, the response provides an array of submerchants, each with:
submerchantId – A unique identifier assigned to the submerchant.
submerchantName – The name of the submerchant.
status – Indicates if the submerchant passed validation:
VALID – The submerchant was successfully validated.
INVALID – The submerchant contains errors and requires correction.
Make sure to check the webhook notification. This will confirm whether the validation process was successful or rejected.

Request

Header Params

Body Params application/json

Examples

Responses

🟢200
application/json
Successful response
Bodyapplication/json

🟠403
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://api-uat.kushkipagos.com/onboarding/v1/submerchants/batch' \
--header 'X-Api-Key;' \
--header 'Content-Type: application/json' \
--data-raw '[
    {
        "pspCustomerId": "string",
        "operationType": "CP",
        "operationCountry": "COL",
        "submerchantCountryTaxResidency": "string",
        "submerchantTaxId": "string",
        "submerchantLegalName": "string",
        "submerchantLegalEntityType": "Private",
        "submerchantName": "string",
        "submerchantAddress": "string",
        "submerchantCity": "Bogotá",
        "submerchantPostalCode": "strin",
        "submerchantUrl": "string",
        "submerchantMcc": "stri",
        "legalRepresentativeName": "string",
        "legalRepresentativeFirstLastName": "string",
        "legalRepresentativeSecondLastName": "string",
        "legalRepresentativeDateBirth": "12/07/1990",
        "legalRepresentativeIdNumber": "string",
        "legalRepresentativeSameAsUbo": true,
        "uboName": "string",
        "uboFirstLastName": "string",
        "uboSecondLastName": "string",
        "uboDateBirth": "string",
        "ubo2Name": "string",
        "ubo2FirstLastName": "string",
        "ubo2SecondLastName": "string",
        "ubo2DateBirth": "string",
        "secondConcurrenceNeeded": true,
        "pspNotificationEmail": "test@kushkipagos.com",
        "openField": "string"
    }
]'
Response Response Example
200 - INITIALIZED (successful response)
{
    "status": "INITIALIZED",
    "requestId": "5c91b0ee-677f-448e-b2e8-eb13bf2efcab",
    "message": "The submerchants are ready to be processed. We will notify you once all have been processed",
    "results": [
        {
            "submerchantId": "5e9a859c-2112-4e8e-b819-2d18bc0f4d29",
            "submerchantName": "Kushki Colombia",
            "status": "VALID",
            "message": "The format is valid",
            "errors": []
        },
        {
            "submerchantId": "c0d99b38-9590-49fc-b348-899affe20726",
            "submerchantName": "Empresa Bogotá SAS",
            "status": "VALID",
            "message": "The format is valid",
            "errors": []
        }
    ]
}
Modified at 2026-07-31 15:27:31
Previous
Appian - Submerchant Register
Next
Query submerchant status by requestId/submerchantId
Built with